How to make Icon in QMenu larger (PyQt)?

I did not yet find out how to make the icons in my QMenu larger. I have tried to define a stylesheet in which the icon size is enlarged. But it doesn't work. Here is my code: menuStyleSheet =...

Installing PyQt5 Designer on windows

I installed PyQt5 using Windows command window and pip3 install PyQt5 as described in the download page, it was installed successfully. but I didn't found PyQt Designer in the Windows Start Menu...

PyQt5 installation error (QtCore Module Error: Unable to create the C++ code)

I'm trying to install PyQt5 on my PC to have access to QtDesigner. I'm facing following error during the installation: $ python3 configure.py --qmake=/usr/local/Cellar/qt/5.10.1/bin/qmake...

PyQt5 error "PyCapsule_GetPointer called with incorrect name"

I've just built PyQt5 in a pyenv virtualenv with python 3.6.3 on OpenSUSE leap, the build went fine, but when I import >>> from PyQt5 import QtCore Traceback (most recent call last): File...

Install pyqt5-tools on macOS

I have installed PyQt5 with pip and used it successfully with Python v3 and run through a tutorial. In looking at tutorials for Qt Designer I see instructions to use pip install pyqt5-tools but it...

Embed a matplotlib plot in a pyqt5 gui

I'm working with PyQt5 trying to generate a GUI for my data analysis tool. My problem is that I don't understand how to embed a matplotlib plot with full functionality. All of the tutorials about...

how to recompile the bootloader of Pyinstaller

I have an AntiVirus false positive problem of my exe file generated using PyInstaller, by searching i found this answer witch consist of recompiling the bootloader and i just can't get it...

Install PyQt5 on Raspberry for Python3.6

Since I found no answer for my question, neither in older posts nor in other forums, I want to ask the stackoverflow community for advice. I am using a raspberry pi 3B+, version 9.4 (lite) with...

Python - PyQt5 [PyQt5.QtWidgets import QApplication 'No Module']

I have been attempting to learn PyQt5 in order to create GUI. Pip installed the PyQt5 & the PyQt5.tools yet when I attempt to use it using Visual Studio Code (while having the Python Extension of...

conversion of .py to .exe using auto-py-to-exe showing error

I want to convert .py to .exe. For that I got to know that auto-py-to-exe is simple and works for Python >= 2.7 ( including 3.7 🎉 ). When I tried to convert a simple application it worked...

Cannot install pyqt5-tools - 'Could not find a version that satisfies the requirement pyqt5-tools'

I try to install pyqt5-tools like this: pip install pyqt5-tools and the resulting out put is: ERROR: Could not find a version that satisfies the requirement pyqt5-tools (from versions:...

Keras model.load_weights() error: ValueError: Invalid high library version bound (invalid high library version bound)

I use Docker from Gadgetron to realize a Gadget with Keras. Theano as backend. Here is the Dockerfile and the result of pip list is Package Version --------------------...

How to install PyQt5-tools on Python 3.8 (I can see only wersion for up to 3.7)

I have Python 3.8 on Windows. Already installed via pip PyQt5, tried PyQt5-tools but can't. My PyQt5 version is: 5.13.1 pip install PyQt5-tools gives the error: ERROR: Could not find a version...

Integrate Qt Designer and PyCharm

There are plenty of minor challenges getting PyQt5 and Qt Designer to play nice with PyCharm, but after getting all the small steps in place, I cannot help but wonder if I missed the obvious. What...

cx_freeze doesn't get installed in python 3.8.0

I'm trying to install cx_freeze to convert my python code into an executable. But it always shows the error below. I looked into the problem and found that I should downgrade my python version...

Why can't I use the mouse Event(mouseMoveEvent, mouseReleaseEvent) on the graphicsview?

I want to make cropping image tool by using python and pyqt5 Below code, I can't use the mouseMoveEvent and mouseReleaseEvent on the graphic view. But, I only can use the mousePressEvent on the...

Difficulty installing/importing pyqt5 on ubuntu 18.04

Goal: To import pyqt5 into python3 under Ubuntu 18.04 I know there are many answers to similar questions here and elsewhere. I have tried a lot of them, but I don't see anything that exactly...

Installing PYQT5 on windows10

I used the following command to download PYQT5: pip3 install pyqt5==5.12.0 Which successfully installed the package but with the following error: ERROR: spyder 3.3.6 requires pyqtwebengine<5.13;...

Matplotlib: how to make the background transparent on Windows

I need the whole plot window to be transparent so that a chrome window, for example, on my desktop could be seen through the plot, so that I can add points to it while seeing what's behind...

PyQt5 becomes ugly after building with nuitka

PyQt5 changes its interface theme after building with nuitka ( this is a tool like pyinstaller ). Here is the comparison: Before build: After build: I have couples of buttons and line editors...

pyqt5_tools designer.exe does not exist

I have installed PyQT5 by command pip install pyqt5 pyqt5-tools. Then I want to show path for designer.exe. However I could not found that in...

Unable to open ANACONDA or SPYDER: ImportError: DLL load failed: The specified module could not be found

I have seen all previous posts related to it but none of them worked for me What I did is: Installed MS Visual Studio 2017 comm, 2019 comm , Visual c++ 2008 to 2019 Installed anaconda(x64)...

pyqt5-tools: designer.exe missing

I installed pyqt5-tools with PyCharm but when I open the related folder inside site-packages of my virtual environment, I notice that designer.exe is missing. This happens even if I install it in...

Create PyQt6 Python Project Executable

I code a Qt project in python 3.8 using PyQt6. When I run python file by python, no problem. When I try to convert project to executable, it fails. I faced to so many problems and I solved them as...

(labelImg-master) "ModuleNotFoundError: No module named 'lxml' even though lxml is installed (Windows 10)

I was recently attempting to download labelImg-master through their instructions here (https://github.com/tzutalin/labelImg). It was my first ever install using powershell and it didn't work and...

Installing PyQT in conda environment

The final goal was to have a working environment with: Tensorflow, numpy, pandas, pyqt5, psycopg2. I successfully installed TF, numpy and pandas but not pyqt5. That's what I did: Installed X-Code...

I can't install lableImg Annotation tool in M1 Mac

While installing LabelImg in M1 Mac using below command pip install pyqt5 lxml This is the error I got ERROR: pyqt5 from...

Bokeh/panel won't render in-line with Jupyter Lab

I'm trying to visualize Bokeh plots and panels with a Bokeh backend in a notebook in JupyterLab. Things were running fine until I updated. Current packages and versions are below I have tried the...

I have problem installing pyqt5 tools with pip. any solution?

I tried to install pyqt5-tools with pip but this error occurred: ERROR: pyqt5==5.14.0 from...